package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFGK9 extends MwfRequest<MWFGK9, MWFGK9Response> {

    @Parameter(name = "CIF")
    MWFGK9 cif(String cif);
    @Parameter(name = "Cache_Flag")
    MWFGK9 cacheFlag(Long cacheFlag);
    @Parameter(name = "Data")
    MWFGK9 data(java.util.List<MWFGK9Data> data);
    @Parameter(name = "Email")
    MWFGK9 email(String email);
    @Parameter(name = "GeminiUserID")
    MWFGK9 geminiUserID(String geminiUserID);
    @Parameter(name = "ICO")
    MWFGK9 ico(String ico);
    @Parameter(name = "RC")
    MWFGK9 rc(String rc);
    @Parameter(name = "SSO")
    MWFGK9 sso(String sso);
    @Parameter(name = "Telefon")
    MWFGK9 telefon(String telefon);
    @Parameter(name = "TelefonPredvolba")
    MWFGK9 telefonPredvolba(String telefonPredvolba);
    @Parameter(name = "TelefonTyp")
    MWFGK9 telefonTyp(String telefonTyp);
    @Parameter(name = "UID")
    MWFGK9 uid(Long uid);
}
